# norootforbuild
#!BuildIgnore:          post-build-checks
%define with_mysql		1
%define with_postgresql	1
%define with_xine			1
# gstreamer support has been dropped altogether with amarok 1.4.0
%define with_gstreamer	0
%define with_opengl		1
%define with_libvisual	1
%define with_xmms			1
%if %suse_version >= 930
%define with_libgpod		1
%endif
%define with_libifp		1
%define with_faad			1
%define with_libnjb		1
# not yet:
#define with_libkarma	1
%if %suse_version >= 920
%define with_libmtp		1
%endif
%if %suse_version >= 1010
%define with_yauap		1
%endif

%{?!debug:	%{expand: %%define with_debug 1}}

# Disabled since 1.3.0_0.3, aKode engine too buggy/incomplete
%define kde_with_akode		0

%if %suse_version < 930
%define with_inc_sqlite	1
%endif
%if %suse_version >= 1000
%define split_arts		1
%endif
%define _prefix			/opt/kde3
%define _sysconfdir		/etc%{_prefix}
%define qtdir				/usr/lib/qt3
%if %suse_version >= 920
%define enable_xine		%with_xine
%else
%define enable_xine		0
%endif

%if %with_gstreamer
%if %suse_version >= 1010
%define with_gstreamer010 1
%endif
%endif #%with_gstreamer

#define beta 1

%if %{?beta:1}0
Name:				amarok-beta
%else
Name:				amarok
%endif
Version:			1.4.10
%define modplug_version	0.5
Summary:			Media Player for KDE
Release:			123.21
Source:			http://amarok.kde.org/files/amarok-%{version}.tar.bz2
Source1:			http://prdownloads.sourceforge.net/amarok/modplug_artsplugin-%{modplug_version}.tar.bz2
Patch1:			amarok-desktop.diff
Patch2:			amarok-gcc335-workaround.diff
Patch3:			amarok-enginecontroller.diff
Patch6:			amarok-plugin-kde_export.diff
Patch8:			modplug_artsplugin-0.5.dif
Patch9:			modplug_artsplugin-fix-namespace-decl.diff
Patch10:			modplug_artsplugin-gcc4.diff
Patch11:			modplug_artsplugin-fix-buffers.diff
Patch12:			modplug_artsplugin-unused-variables.diff
Patch13:			amarok-lib64.diff
Patch14:			amarok-remove-pl.patch
Patch15:			amarok-restore-playlist-filter.patch
Patch17:			amarok-collectionscanner.diff
Patch19:			amarok-no-realaudio.diff
Patch22:			amarok-use-system-icons.diff
Patch49:			amarok-default-engine.patch
Patch50:			amarok-FrameworkVersion.diff
Patch52:			amarok-continue.diff
Patch56:			undefined-entity.diff
Patch80:			amarok-1.4.7-fix-docbook-with-broken-meinproc.patch
Patch81:			amarok-1.4.9.1-libmtp-0.3.0-API.patch
URL:				http://amarok.kde.org
Group:			Productivity/Multimedia/Sound/Players
License:			GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
AutoReqProv:	on
Requires:		ruby
%if %{?split_arts:1}0
Obsoletes:		amarok-arts
%endif

%if 0%{?sles_version} != 11
BuildRequires:	kdemultimedia3 kdemultimedia3-devel
%endif

BuildRequires:	kdelibs3 >= 3.2.0
BuildRequires:	kdelibs3-devel >= 3.2.0
BuildRequires:	kdebase3 kdebase3-devel
BuildRequires:	gcc-c++ libstdc++-devel autoconf automake libtool make pkgconfig slang-devel
BuildRequires:	alsa alsa-devel arts-devel libjack-devel
BuildRequires:	libogg-devel libvorbis-devel
BuildRequires:	taglib-devel >= 1.5
BuildRequires:	libmusicbrainz-devel
BuildRequires:	curl-devel
BuildRequires:	libofa-devel
BuildRequires:	fftw3-devel
# use the soname provides to force using libtunepimp 0.5.x
BuildRequires:	libtunepimp5-devel libtunepimp5
BuildRequires:	flac-devel
%if %suse_version >= 920
BuildRequires:	libjpeg-devel
%else
BuildRequires:	libjpeg
%endif
%if %with_gstreamer
%if %{?with_gstreamer010:1}0
BuildRequires:	gstreamer010 gstreamer010-devel
BuildRequires:	gstreamer010-plugins-base gstreamer010-plugins-base-devel
%else
BuildRequires:	gstreamer >= 0.10.0 gstreamer-devel >= 0.10.0
BuildRequires:	gstreamer-plugins >= 0.10.0 gstreamer-plugins-devel >= 0.10.0
%endif
BuildRequires:	popt-devel xmms-devel gtk-devel
%else
Obsoletes:		amarok-gstreamer
%endif
%if %enable_xine
BuildRequires:	libxine1-devel
%endif
%if %with_opengl
# BuildRequires:	XFree86-GLX-devel
%endif
%if %with_mysql
%if %suse_version >= 1030
BuildRequires:	libmysqlclient-devel
%else
BuildRequires:	mysql-shared mysql-devel
%endif
%endif
%if %with_postgresql
BuildRequires:	postgresql-libs postgresql-devel
%endif
%if %with_libvisual
%if %suse_version >= 1020
BuildRequires:	libvisual-devel
%else
BuildRequires:	libvisual04-devel
%endif
%endif
%if %{?!with_inc_sqlite:1}0
BuildRequires:	sqlite sqlite-devel
%endif
%if %{?with_libgpod:1}0
%if %suse_version >= 1020
BuildRequires:	libgpod-devel >= 0.6.0
%else
BuildRequires:	libgpod-devel >= 0.5.2
%endif
%endif
%if %{?with_libifp:1}0
BuildRequires:	libifp-devel
%endif
%if %{?with_faad:1}0
BuildRequires:	faad2-devel libmp4v2-devel
%endif
%if %{?with_libnjb:1}0
BuildRequires:	libnjb-devel
%endif
%if %{?with_libmtp:1}0
BuildRequires:	libmtp-devel >= 0.2.3
BuildConflicts:	libmtp2-devel
%endif
BuildRequires:	ruby
%if %suse_version >= 1000
BuildRequires:	ruby-devel
%endif
BuildRequires:	autoconf automake libtool update-desktop-files
%if %{?beta:1}0
Conflicts:		amarok
%else
Conflicts:		amarok-beta
Obsoletes:		amarok-beta <= %{version}beta999
%endif
Obsoletes:		amarok-helix amarok-helix-backend
%if %{?with_yauap:1}0
BuildRequires:	dbus-1-devel dbus-1-glib
%if %suse_version >= 1010
BuildRequires:	dbus-1-qt3-devel
%else
BuildRequires:	dbus-1-qt
%endif
%if %suse_version >= 1020
BuildRequires:	dbus-1-glib-devel
%endif
%endif
Requires:		libxine1 mad
Requires:		libtunepimp5 libtunepimp5-mp4 libtunepimp5-mad
Requires:		unzip
Requires:		amarok_engine
Requires:		taglib >= 1.5
Obsoletes:		amarok-xmms amarok-beta-xmms
%if %suse_version > 1020
Requires:		amarok-lang = %{version}
Recommends:		libvisual-plugins
%endif

%description
Amarok is a media player for all kinds of media, supported by aRts, GStreamer
or Xine (depending on the packages you install). This includes MP3, Ogg
Vorbis, audio CDs and streams.
It also supports audio effects of all kinds that are provided by aRts.
Playlists can be stored in .m3u or .pls files.

Amarok also provides audio file collection management, by using either an
embedded sqlite3, a MySQL or a PostgreSQL database.

Authors:
--------
    Christian Muehlhaeuser <chris@chris.de>
    Mark Kretschmann <markey@web.de>
    Max Howell <max.howell@methylblue.com>
    Stanislav Karchebny <berk@inbox.ru>

%if %with_gstreamer
%package gstreamer
Summary:			GStreamer Output Plugin for Amarok
Group:			Productivity/Multimedia/Sound/Players
Requires:		%{name} = %{version}-%{release}
Requires:		gstreamer >= 0.8.9 gstreamer-plugins >= 0.8.8
Provides:		amarok_engine
%if %{?beta:1}0
Conflicts:		amarok-gstreamer
%else
Conflicts:		amarok-beta-gstreamer
Obsoletes:		amarok-beta-gstreamer <= %{version}beta999
%endif

%description gstreamer
Amarok media player can play via GStreamer using this plugin.
%endif # with_gstreamer

%if %enable_xine
%package xine
Summary:			Xine Output Plugin for Amarok
Group:			Productivity/Multimedia/Sound/Players
Requires:		%{name} = %{version}-%{release}
Requires:		libxine1
Provides:		amarok_engine
%if %{?beta:1}0
Conflicts:		amarok-xine
%else
Conflicts:		amarok-beta-xine
Obsoletes:		amarok-beta-xine <= %{version}beta999
%endif

%description xine
The Amarok media player can play via Xine using this plug-in.
%endif # enable_xine

%if %with_libvisual
%package libvisual
Summary:			Libvisual Plugin for Amarok
Group:			Productivity/Multimedia/Sound/Players
Requires:		%{name} = %{version}-%{release}
%if %{?beta:1}0
Conflicts:		amarok-libvisual
%else
Conflicts:		amarok-beta-libvisual
Obsoletes:		amarok-beta-libvisual <= %{version}beta999
%endif

%description libvisual
The Amarok media player can display libvisual visualization engines using this plug-in.
%endif # with_libvisual

%if %{?with_yauap:1}0
%package yauap
Summary:			yauap gstreamer Backend for Amarok
Group:			Productivity/Multimedia/Sound/Players
Requires:		%{name} = %{version}-%{release}
Requires:		yauap

%description yauap
Amarok backend that uses yauap to play through gstreamer.
%endif

%if %suse_version >= 930
%debug_package
%endif
%if %suse_version > 1020
%lang_package
%endif
%prep
%setup -q -n "amarok-%{version}" -b 1
%patch1
%patch2
%patch3
%if %suse_version <= 930
%patch6
%endif
%if "%{_lib}"=="lib64"
%patch13
%endif
%if %suse_version < 1000
%patch14
%__rm -rf doc/pl po/pl
%endif
%patch15
%patch17
%patch19
%patch22
%patch49
%if %suse_version >= 1020
%patch50 -p1
%endif
%patch52 -p1
%patch56
%if %suse_version < 1010
%patch80
%__rm -rf doc/pl
%endif
%patch81

pushd "../modplug_artsplugin-%{modplug_version}"
%patch8
%patch9
%patch10
%patch11
%patch12
popd # modplug_artsplugin

%build
. /etc/opt/kde3/common_options
CXXFLAGS="$CXXFLAGS -fPIC"
%if %suse_version == 920
export CFLAGS="-fno-strict-aliasing $CFLAGS"
%endif
update_admin
./configure \
	$configkde \
	--with-arts \
%if %{?with_libnjb:1}0
	--with-libnjb \
%else
	--without-libnjb \
%endif
%if %{?with_faad:1}0
	--with-mp4v2 \
%endif
%if %{?with_libgpod:1}0
	--with-libgpod \
%endif
%if %{?with_libifp:1}0
	--with-libifp \
%endif
%if %{?with_libmtp:1}0
	--with-libmtp \
%else
	--without-libmtp \
%endif
%if %{?with_libkarma:1}0
	--with-libmarka \
%else
	--without-libkarma \
%endif
%if %with_mysql
	--enable-mysql \
%else
	--disable-mysql \
%endif
%if %with_postgresql
	--enable-postgresql \
%else
	--disable-postgresql \
%endif
%if %{?with_yauap:1}0
	--with-yauap \
%else
	--without-yauap \
%endif
%if %with_gstreamer
	--with-gstreamer10 \
%else
	--without-gstreamer10 \
%endif
%if %enable_xine
	--with-xine \
%else
	--without-xine \
%endif
%if %with_opengl
	--with-opengl \
%else
	--without-opengl \
%endif
	--%{?with_inc_sqlite:with}%{?!with_inc_sqlite:without}-included-sqlite \
	--enable-amazon \
	--%{?debug:enable}%{?!debug:disable}-debug \
	--disable-final \
%if %with_libvisual
	--with-libvisual \
%else
	--without-libvisual \
%endif
	--without-helix

pushd "../modplug_artsplugin-%{modplug_version}"
update_admin
./configure $configkde
popd # modplug_artsplugin

%if %suse_version <= 920
export ac_cv_header_tunepimp_tp_c_h=no
%endif
make %{?jobs:-j%{jobs}}
make %{?jobs:-j%{jobs}} -C "../modplug_artsplugin-%{modplug_version}"

%install
. /etc/opt/kde3/common_options
%makeinstall

[ -d "%{buildroot}%{_datadir}/apps/konqsidebartng" ] \
	&& %__chmod 000 "%{buildroot}%{_datadir}/apps/konqsidebartng"
%suse_update_desktop_file amarok AudioVideo Player
[ -d "%{buildroot}%{_datadir}/apps/konqsidebartng" ] \
	&& %__chmod 755 "%{buildroot}%{_datadir}/apps/konqsidebartng"

%__rm -v "%{buildroot}%{_libdir}/ruby_lib"/*.la
%__rm -v "%{buildroot}%{_libdir}"/*.la
%__rm -rf "%{buildroot}%{_datadir}/locale/xx"

pushd "../modplug_artsplugin-%{modplug_version}"
%makeinstall
popd

%find_lang "amarok"

%post
%{?run_ldconfig:%run_ldconfig}

%postun
%{?run_ldconfig:%run_ldconfig}

%clean
%__rm -rf "%{buildroot}"

%if %suse_version > 1020
%files lang -f "amarok.lang"
%files
%else
%files -f "amarok.lang"
%endif
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/amarok
%{_bindir}/amarokapp
%{_bindir}/amarokcollectionscanner
%{_bindir}/amarok_proxy.rb
%{_bindir}/amarok_daapserver.rb
%{_libdir}/libamarok.so.*
%{_libdir}/libamarok.so
%{_libdir}/kde3/libamarok_daap-mediadevice.so
%{_libdir}/kde3/libamarok_daap-mediadevice.la
%{_libdir}/kde3/libamarok_generic-mediadevice.so
%{_libdir}/kde3/libamarok_generic-mediadevice.la
%{_libdir}/kde3/libamarok_massstorage-device.so
%{_libdir}/kde3/libamarok_massstorage-device.la
%{_libdir}/kde3/libamarok_nfs-device.so
%{_libdir}/kde3/libamarok_nfs-device.la
%{_libdir}/kde3/libamarok_smb-device.so
%{_libdir}/kde3/libamarok_smb-device.la
%{_libdir}/kde3/libamarok_void-engine_plugin.so
%{_libdir}/kde3/libamarok_void-engine_plugin.la
%{_libdir}/kde3/konqsidebar_universalamarok.so
%{_libdir}/kde3/konqsidebar_universalamarok.la
%{_libdir}/kde3/kfile_modplug.so
%{_libdir}/kde3/kfile_modplug.la
%{_datadir}/applications/kde/amarok.desktop
%dir %{_libdir}/ruby_lib
%{_libdir}/ruby_lib/http11.rb
%{_libdir}/ruby_lib/libhttp11.so*
%dir %{_datadir}/apps/amarok
%dir %{_datadir}/apps/amarok/ruby_lib
%{_datadir}/apps/amarok/ruby_lib/*
%{_datadir}/apps/amarok/*.rc
%dir %{_datadir}/apps/amarok/data
%{_datadir}/apps/amarok/data/*
%dir %{_datadir}/apps/amarok/icons
%dir %{_datadir}/apps/amarok/icons/*/*/*
%{_datadir}/apps/amarok/icons/*/*/*/*
%dir %{_datadir}/apps/amarok/images
%{_datadir}/apps/amarok/images/*
%dir %{_datadir}/apps/amarok/scripts
%{_datadir}/apps/amarok/scripts/*
%dir %{_datadir}/apps/amarok/themes
%{_datadir}/apps/amarok/themes/*
%{_datadir}/apps/konqsidebartng/add/amarok.desktop
%{_datadir}/apps/konqsidebartng/entries/amarok.desktop
%{_datadir}/apps/konqsidebartng/kicker_entries/amarok.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_addaspodcast.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_play_audiocd.desktop
%{_datadir}/apps/profiles/amarok.profile.xml
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/icons/*/*x*/apps/amarok.png
%{_datadir}/services/amarok_daap-mediadevice.desktop
%{_datadir}/services/amarok_generic-mediadevice.desktop
%{_datadir}/services/amarok_massstorage-device.desktop
%{_datadir}/services/amarok_nfs-device.desktop
%{_datadir}/services/amarok_smb-device.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/services/amarokitpc.protocol
%{_datadir}/services/amaroklastfm.protocol
%{_datadir}/services/amarokpcast.protocol
%{_datadir}/services/kfile_modplug.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop
%if %kde_with_akode
%{_libdir}/kde3/libamarok_aKode-engine.la
%{_libdir}/kde3/libamarok_aKode-engine.so
%{_datadir}/services/amarok_aKode-engine.desktop
%endif
%if %{?with_libgpod:1}0
%{_libdir}/kde3/libamarok_ipod-mediadevice.so
%{_libdir}/kde3/libamarok_ipod-mediadevice.la
%{_datadir}/services/amarok_ipod-mediadevice.desktop
%endif
%if %{?with_libifp:1}0
%{_libdir}/kde3/libamarok_ifp-mediadevice.so
%{_libdir}/kde3/libamarok_ifp-mediadevice.la
%{_datadir}/services/amarok_ifp-mediadevice.desktop
%endif
%if %{?with_libnjb:1}0
%{_libdir}/kde3/libamarok_njb-mediadevice.so
%{_libdir}/kde3/libamarok_njb-mediadevice.la
%{_datadir}/services/amarok_njb-mediadevice.desktop
%endif
%if %{?with_libmtp:1}0
%{_libdir}/kde3/libamarok_mtp-mediadevice.so
%{_libdir}/kde3/libamarok_mtp-mediadevice.la
%{_datadir}/services/amarok_mtp-mediadevice.desktop
%endif
%{_libdir}/libmodplugarts.so
%{_libdir}/libmodplugarts.la
%{_libdir}/mcop/Arts/ModplugGuiFactory.mcopclass
%{_libdir}/mcop/Arts/ModplugPlayObject.mcopclass
%{_libdir}/mcop/modplug.mcopclass
%{_libdir}/mcop/modplug.mcoptype
%{_datadir}/servicetypes/amarok_codecinstall.desktop

%if %with_gstreamer
%files gstreamer
%defattr(-,root,root)
%{_libdir}/kde3/libamarok_gst10engine_plugin.so
%{_libdir}/kde3/libamarok_gst10engine_plugin.la
%{_datadir}/services/amarok_gst10engine_plugin.desktop
%{_datadir}/config.kcfg/gstconfig.kcfg
%endif

%if %with_libvisual
%files libvisual
%defattr(-,root,root)
%{_bindir}/amarok_libvisual
%endif

%if %enable_xine
%files xine
%defattr(-,root,root)
%{_libdir}/kde3/libamarok_xine-engine.so
%{_libdir}/kde3/libamarok_xine-engine.la
%{_datadir}/config.kcfg/xinecfg.kcfg
%{_datadir}/services/amarok_xine-engine.desktop
%endif

%if %{?with_yauap:1}0
%files yauap
%defattr(-,root,root)
%{_libdir}/kde3/libamarok_yauap-engine_plugin.so
%{_libdir}/kde3/libamarok_yauap-engine_plugin.la
%{_datadir}/services/amarok_yauap-engine_plugin.desktop
%endif

%changelog
* Sun Nov 25 2007 Carsten Schoene <cs@linux-administrator.com>
- reimport for SLE_10 build
